Subject: [Venue-selection] Panama City venue comments

From: "John R Levine" <[email-masked]>
Date: 7 Sep 2018 14:45:35 +0200

I went to the ICANN meeting in Panama and as a venue it was OK, adequate 
facilities, several nearby hotels, and a large kosher supermarket in the 
carpark under the mall where the conference center is located for the 
healthy food.  On the other hand, we have few if any attendees from 
Central America and not a lot from South America so this means long 
flights for most people.  Flights from North America are expensive, from 
Asia mostly connect in the US with attendant visa issues.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly